#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs

Summary:	Implementation of Microsoft's Media Transfer Protocol (MTP)
Summary(pl.UTF-8):	Implementacja protokołu MTP (Media Transfer Protocol) Microsoftu
Name:		libmtp
Version:	1.1.16
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libmtp/%{name}-%{version}.tar.gz
# Source0-md5:	7796179af46e90938dde1d0c4d1d1d4c
URL:		http://libmtp.sourceforge.net/
BuildRequires:	automake
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	libgcrypt-devel
BuildRequires:	libusb-devel >= 1.0.0
BuildRequires:	pkgconfig
Requires:	libusb >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libmtp is an implementation of Microsoft's Media Transfer Protocol
(MTP) in the form of a library suitable primarily for POSIX compliant
operating systems.

%description -l pl.UTF-8
libmtp to implementacja protokołu przesyłania mediów MTP (Media
Transfer Protocol) Microsoftu w postaci biblioteki nadającej się
przede wszystkim dla systemów operacyjnych zgodnych z POSIX.

%package devel
Summary:	Header files for mtp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki mtp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgcrypt-devel
Requires:	libusb-devel >= 1.0.0

%description devel
This is the package containing the header files for mtp library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki mtp.

%package static
Summary:	Static mtp library
Summary(pl.UTF-8):	Statyczna biblioteka mtp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static mtp library.

%description static -l pl.UTF-8
Statyczna biblioteka mtp.

%package progs
Summary:	Utilities from mtp library
Summary(pl.UTF-8):	Narzędzia biblioteki mtp
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description progs
This is the package containing utilities from mtp library.

%description progs -l pl.UTF-8
Ten pakiet zawiera narzędzia z biblioteki mtp.

%package -n udev-libmtp
Summary:	UDEV rules for libmtp devices
Summary(pl.UTF-8):	Reguły UDEV dla urządzeń libmtp
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	udev-core

%description -n udev-libmtp
UDEV rules for libmtp devices.

%description -n udev-libmtp -l pl.UTF-8
Reguły UDEV dla urządzeń libmtp.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure \
	%{?with_apidocs:--enable-doxygen} \
	--with-udev=/lib/udev \
	--with-udev-group=audio \
	--with-udev-mode=0660
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	htmldocdir=%{_docdir}/%{name}-devel-%{version} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libmtp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmtp.so.9

%files devel
%defattr(644,root,root,755)
%if %{with apidocs}
%doc %{_docdir}/%{name}-devel-%{version}
%endif
%attr(755,root,root) %{_libdir}/libmtp.so
%{_libdir}/libmtp.la
%{_includedir}/libmtp.h
%{_pkgconfigdir}/libmtp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmtp.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mtp-*

%files -n udev-libmtp
%defattr(644,root,root,755)
%attr(755,root,root) /lib/udev/mtp-probe
/lib/udev/hwdb.d/69-libmtp.hwdb
/lib/udev/rules.d/69-libmtp.rules
%changelog
* Sat Oct 27 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmtp.git;a=log;h=master

* Sat Oct 27 2018 Adam Gołębiowski <adamg@pld-linux.org> 70add0c
- updated to 1.1.16

* Sat Mar 24 2018 Jan Palus <atler@pld-linux.org> 1d2b178
- up to 1.1.15

* Tue Oct 10 2017 Jan Palus <atler@pld-linux.org> cd5a83f
- up to 1.1.14

* Thu Apr 06 2017 Jan Palus <atler@pld-linux.org> da158d1
- up to 1.1.13

* Fri Aug 12 2016 Jan Palus <atler@pld-linux.org> 9b6abf1
- up to 1.1.12

* Thu Feb 11 2016 Jan Palus <atler@pld-linux.org> 661e4b4
- up to 1.1.11

* Sun Oct 18 2015 Jan Palus <atler@pld-linux.org> 8a6f1a2
- up to 1.1.10

* Tue Apr 14 2015 Jan Palus <atler@pld-linux.org> beb0532
- up to 1.1.9

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 9af49cb
- x32 rebuild
- release 2 (by relup.sh)

* Wed Oct 08 2014 Jan Palus <atler@pld-linux.org> b0fdf06
- up to 1.1.8
- patches applied upstream

* Fri May 02 2014 Jan Palus <atler@pld-linux.org> 852f525
- new id for jolla after upgrade

* Sat Mar 01 2014 Jan Palus <jan.palus@gmail.com> d6df5ea
- add jolla support from git

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2603269
- release 2 (by relup.sh)

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> c969b00
- up to 1.1.6

* Sat Feb 02 2013 Elan Ruusamäe <glen@delfi.ee> 95b9228
- fix apidocs packaging leaking doc to main packages

* Wed Jan 02 2013 Elan Ruusamäe <glen@delfi.ee> 367ba4e
- add apidocs bcond

* Sun Oct 28 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 29c0e93
- Update to 1.1.5

* Sat Jun 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 634522a
- updated BRs: now it supports libusb 1; libcrypt is used for mtpz

* Sat Jun 23 2012 lmasko <lmasko@pld-linux.org> f803142
- Up to 1.1.3.

* Thu Oct 27 2011 Jakub Bogusz <qboosh@pld-linux.org> c05dbc9
- updated to 1.1.1

